SDL-0.6.5: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Utilities

Description

Various small functions which makes the binding process easier.

# Documentation

class Enum a b | a -> b where Source

Methods

succ :: a -> a Source

pred :: a -> a Source

toEnum :: b -> a Source

fromEnum :: a -> b Source

enumFromTo :: a -> a -> [a] Source

Instances

Enum SDLKey Word32 Source |
Enum Modifier Word32 Source |
Enum SurfaceFlag Word32 Source |
Enum Hat Word8 Source |
Enum InitFlag Word32 Source |
Enum Palette Int Source |
Enum Focus Word8 Source |
Enum MouseButton Word8 Source |

intToBool :: Int -> IO Int -> IO Bool Source

toBitmask :: (Enum a b, Bits b, Num b) => [a] -> b Source

fromBitmask :: (Bounded a, Enum a b, Bits b, Num b) => b -> [a] Source

fromCInt :: Num a => CInt -> a Source

toCInt :: Int -> CInt Source